Interface: ThemeContextTransaction
Deprecated
Transaction contexts are to be replaced entirely by Bundle contexts.
If you are creating a testing context, single product flows should be achieved by creating a Bundle context with an Activation, and providing:
singleProductMode = true and the appropriate collectionProduct.
Extends
ThemeContextBase
Properties
activation?
optionalactivation?:ActivationData
The Activation that is currently active.
Inherited from
ThemeContextBase.activation
applicationKey
applicationKey:
string
Inherited from
ThemeContextBase.applicationKey
configuration
configuration:
ThemeInstallConfigurationResource
The configuration provided by the Integration.
Inherited from
ThemeContextBase.configuration
container
container:
HTMLElement
The HTML element to render your Spiff theme into.
Inherited from
ThemeContextBase.container
currency?
optionalcurrency?:string
The ISO 4217 currency code to present prices in.
Inherited from
ThemeContextBase.currency
embedMode?
optionalembedMode?:boolean
Whether the iframe is embedded into the main page content or displayed in a modal.
Inherited from
ThemeContextBase.embedMode
queryParams?
optionalqueryParams?:object
Query parameters that were passed to editor which have been passed through to the theme.
Index Signature
[key: string]: string
Inherited from
ThemeContextBase.queryParams
type
type:
"transaction"
workflowOptions
workflowOptions:
ThemeContextWorkflowOptions